// JScript 文件
//全站js文件


//变换验证码
function changeCode(obj)
{
    obj.src="getcode.aspx?"+Math.random();
}

//去掉左右空格
function trim(str) { return lTrim(rTrim(str)); }

//去掉右边空格
function rTrim(str)
{
  var iLength;
  iLength = str.length;
  if (str.charAt(iLength - 1) == " ")
  {
    //如果字串右边第一个字符为空格
    str = str.slice(0, iLength - 1);//将空格从字串中去掉
    str = rTrim(str);    //递归调用
  }
  return str;
}
//去掉左边的空格
function lTrim(str)
{
  if (str.charAt(0) == " ")
  {//如果字串左边第一个字符为空格
    str = str.slice(1);//将空格从字串中去掉
    str = lTrim(str);    //递归调用
  }
  return str;
}


//验证
function NonChar(strInput,strChar)
{
for (i=0;i<strInput.length;i++)
  {for(j=0;j<strChar.length;j++)
     if (strInput.charAt(i)==strChar.charAt(j))
        break;
   if(j==strChar.length)
     return false;	  	   
  }
return true;  
}

function chkNumChar(obj)
{
strInput=obj.value;
strChar="0123456789ABCDEFGHIJKLMNOPQURSTUVWXYZabcdefghijklmnopqurstuvwxyz_";
if(!NonChar(strInput,strChar))
  {alert('【系统提示】\n\n　输入的字符只能是英文和数字组成\n\n　请重新输入或换用其它字符替代。');
   obj.focus();
   obj.select();
   return false;
   }
return true;
}


function chkIntNum(obj)
{
strInput=obj.value;
strChar="0123456789";
if(!NonChar(strInput,strChar))
  {alert('【系统提示】\n\n　输入的数字中含有非数字字符\n\n　请重新输入或换用数字字符替代。');
   obj.focus();
   obj.select();
   return false;
   }
return true;
}

function chkUserName(obj)
{
    strInput=obj.value;
    strChar="0123456789ABCDEFGHIJKLMNOPQURSTUVWXYZabcdefghijklmnopqurstuvwxyz_";
    if(!NonChar(strInput,strChar))
    {
        alert('【系统提示】\n\n　输入的字符只能是英文和数字组成\n\n　请重新输入或换用其它字符替代。');
        obj.focus();
        obj.select();
        return false;
    }
    else
    {        
        if(strInput.length>0 && strInput.length<6 || strInput.length>16)
        {
            alert('【系统提示】\n\n　用户名由6-16位英文、数字的组成\n\n　请重新输入。');
            obj.focus();
            obj.select();
            return false;
        }
    }    
    return true; 
}

function chkQQ(obj)
{
    strInput=obj.value;
    strChar="0123456789";
    if(!NonChar(strInput,strChar))
    {
        alert('【系统提示】\n\n　输入的数字中含有非数字字符\n\n　请重新输入或换用数字字符替代。');
        obj.focus();
        obj.select();
        return false;
    }
    else
    {
        if(strInput.length != 15 && strInput.length != 18)
        {
            alert('【系统提示】\n\n　请重新输入。');
            obj.focus();
            obj.select();
            return false;
        }
    }
    return true;
}

function chkEmail(obj)
{
    var a=obj.value; 
    var i=a.length;
    var temp = a.indexOf('@');
    var tempd = a.indexOf('.');

    if(a != "")
    {
        if (tempd > 0) 
        {
            tempd = (a.substring(temp)).indexOf('.');
            if (temp > 1) 
            {
              if ((i-temp) >= 7)
              {
                if (tempd >= 2)
                {
                  if ((i-temp-tempd)>=2)
                  {
                    return 1;
                  }
                }
              }
        }
    }
    alert('【系统提示】\n\n　EMail格式不正确。');
    obj.focus();
    obj.select();
    return 0;
    }
}

function goUrl(url)
{
    location.href=url;
}